docker run -it \
    --net=host --runtime=nvidia --gpus all --env NVIDIA_VISIBLE_DEVICES=all \
    --env NVIDIA_DRIVER_CAPABILITIES=compute,utility,graphics,display --env LD_LIBRARY_PATH=/usr/local/nvidia/lib64 \
    --env DISPLAY --env VIDEO_GROUP_ID=`getent group video | awk -F: '{printf $$3}'` \
    --env PYTHONPATH=/Hierarchical-Localization/third_party \
    --volume="$HOME/.Xauthority:/root/.Xauthority:rw" \
    --volume /tmp/.X11-unix:/tmp/.X11-unix --volume /dev/dri:/dev/dri --volume /dev/shm:/dev/shm \
    --volume $HOME/toc_annotator:/toc_annotator \
    --volume $HOME/dataset:/dataset toc_annotator:latest bash
