#!/usr/bin/env bash
DATASET_ROOT=$1
SCENE_NAME=$2

RESIZE_FACTOR=1

# undistort images
# python undistort_images.py \
#     --dataset-root "$DATASET_ROOT" --scene-name "$SCENE_NAME" \
#     --resize-factor "$RESIZE_FACTOR"
# retVal=$?
# if [ $retVal -ne 0 ]; then
#     echo "Error in undistort"
#     exit $retVal
# fi

# mask generation
python mask_rcnn/generate_masks.py \
    --dataset-root "$DATASET_ROOT" --scene-name "$SCENE_NAME" \
    --filter-label "${@:3}"

retVal=$?
if [ $retVal -ne 0 ]; then
    echo "Error in mask generator"
    exit $retVal
fi


